/*------------------- DUMMY BOOT LOADER --------------------------------------------*/
#include "..\common\bloader_defs.h"

#BUILD(INTERRUPT=FLASH_BLOCK_SIZE)   // Redirect Interrupt routine above first flash block

/*
#ORG 4,FLASH_BLOCK_SIZE-1
void JumpToTheInterrupt()     // Jump to the Interrupt Handler
{ #asm 
   NOP
   NOP
   NOP
   NOP
   GOTO FLASH_BLOCK_SIZE
#endasm }
//#ORG 6,FLASH_BLOCK_SIZE-1 {} // First Flash block is reserved
*/

#ROM 0x0004={0,0,0,0,0,0,0,0,0,0,0,0} // 12x NOP from interrupt vector to interrupt routine

#ORG LOADER_RESERVED,getenv("PROGRAM_MEMORY")-1 auto=0
#SEPARATE
void dummy_main() // Main on the fix position
{
   reset_cpu();
}
